![MindSpore Logo](MindSpore-logo.png "MindSpore logo")
======================================================

<!-- TOC -->

- [MindSpore社区](#mindspore社区)
    - [治理架构](#治理架构)
    - [行为准则](#行为准则)
    - [贡献者协议](#贡献者协议)
        - [个人贡献者](#个人贡献者)
        - [企业贡献者](#企业贡献者)
    - [CI指令](#ci指令)
    - [交流渠道](#交流渠道)
    - [CVE上报](#cve上报)
    - [材料模板](#材料模板)
    - [许可证](#许可证)

<!-- /TOC -->

中文 | [View English](./README.md)

# MindSpore社区

该仓库托管了MindSpore社区相关的所有材料，具体信息如下。

## 治理架构

社区治理架构的内容详见[governance.md](governance.md)，该提案处于初稿阶段，后期可能会在
技术指导委员会（TSC）的许可下进行刷新。除此之外，社区还提供了特别兴趣小组（[SIG](sigs/README.md)）
和工作组（[Working Group](working-groups/README.md)）的资料介绍。

## 行为准则

作为社区运作的核心组成部分，我们在CNCF社区行为准则的基础上，同时提供了[中文版本](code-of-conduct_zh_cn.md)
和[英文版本](code-of-conduct_en.md)的行为准则。

## 贡献者协议

MindSpore社区针对个人贡献者和企业贡献者分别提供了[Individual Contributor License Agreement](ICLA.pdf)
和[Corporate Contributor License Agreement](CCLA.pdf)。

### 个人贡献者

针对想要参与社区的个人贡献者，请打开[CLA在线签署平台](https://clasign.osinfra.cn/sign/Z2l0ZWUlMkZtaW5kc3BvcmU=)
并点击`Sign Individual CLA`按钮，然后根据系统提示完成协议签署。

### 企业贡献者

企业签署流程包括`企业主体`和`企业员工`签署两个环节。

企业主体签署环节需要该企业联络人打开[CLA在线签署平台](https://clasign.osinfra.cn/sign/Z2l0ZWUlMkZtaW5kc3BvcmU=)
并点击`Sign Corporation CLA`按钮，然后根据系统提示完成协议签署；线上签署完成之后请打开
签署所用邮箱获取企业签署协议（`电子版`），打印并交给企业业务负责人签名盖章，最后将企业
签署协议扫描并通过邮件回传给CLA签署系统。

企业员工需要在其所属企业签署CCLA协议之后才准许签署贡献者协议，若其所属公司已签署，请打开
[CLA在线签署平台](https://clasign.osinfra.cn/sign/Z2l0ZWUlMkZtaW5kc3BvcmU=)
并点击`Sign Employee CLA`按钮，然后根据系统提示完成协议签署。

## CI指令

请查阅[CI指令手册](command.md)来学习CI机器人的操作命令。

## 交流渠道

社区提供了多种交流渠道：包括`IRC`、`Slack`以及`邮件列表`等，详情查阅`communication`目录。

## CVE上报

如果您发现社区存在任何安全漏洞，请查阅`security`目录了解CVE上报流程。

## 材料模板

如果您想开展MindSpore相关的主题演讲，请查阅`slides`目录获取社区主题材料模板。

## 许可证

[Apache License 2.0](LICENSE)
