# SIGs - Special Interest Groups

As described in the MindSpore [governance](../governance.md), Special
Interest Groups (SIGs) are persistent groups responsible for specific parts of
the project. SIGs have open and transparent proceedings to develop goals and
implement code contributions. SIGs are also responsible for ongoing maintenance
of the code in their areas.

## Proposing a new SIG

New SIGs are created when there is sufficient interest in a topic area
and someone volunteers to be the lead for the group and submits a proposal to
the steering committee. The chair facilitates the discussion and helps
synthesize proposals and decisions.

## Joining a SIG

If you are interested in participating, please [join the discussion](https://mailweb.mindspore.cn/postorius/lists/)
in the respective list. Details about any upcoming meetings will also be shared
in the mailing list. SIG artifacts can be found in the current repository.

## Current SIGs

| SIG name | Responsibilities | SIG Leads |
| :------- | :--------------- | :-------- |
| [FrontEnd](frontend/README.md) | This SIG is responsible for the development of MindSpore front-end expression. | [@kingxian](https://gitee.com/kingxian) |
| [Compiler](compiler/README.md) | This SIG is responsible for the development of MindSpore high level graph compilation. | [@zh_qh](https://gitee.com/zh_qh) |
| [Executor](executor/README.md) | This SIG is responsible for the development of MindSpore back-end support for pipeline. | [@kisnwang](https://gitee.com/kisnwang) |
| [ModelZoo](modelzoo/README.md) | This SIG is responsible for the development of MindSpore modelzoo and additional ops. | [@yingjy](https://gitee.com/yingjy) |
| [Data](data/README.md) | This SIG is responsible for the development of MindSpore data processing and data format transformation. | [@liucunwei](https://gitee.com/liucunwei) |
| [GraphEngine](graphengine/README.md) | This SIG is responsible for the development of MindSpore graph engine for Ascend AI processor. | [@youui](https://gitee.com/youui) |
| [Visualization](visualization/README.md) | This SIG is responsible for the development of MindSpore visualization tools. | [@gaocongli_hw](https://gitee.com/gaocongli_hw) |
| [Security](security/README.md) | This SIG is responsible for the development of MindSpore security related tools. | [@randywangze](https://gitee.com/randywangze) |
| [AKG](akg/README.md) | This SIG is responsible for the development of MindSpore auto kernel generator. | [@anyrenwei](https://gitee.com/anyrenwei) |
| [MSLITE](mslite/README.md) | This SIG is responsible for the development of MindSpore lite. | [@zhaizhiqiang](https://gitee.com/zhaizhiqiang) |
| [MDP](mdp/README.md) | This SIG is responsible for the development of MindSpore programming library for Bayesian deep learning. | [@jianfeichen](https://gitee.com/jianfeichen)(chrisjianfeichen@gmail.com) |
| [Parallel](parallel/README.md) | This SIG is responsible for the development of MindSpore's functionality of automatically finding the efficient parallel strategy for DNN training and inference. | [@dr-orange](https://gitee.com/dr-orange)(chengli7@ustc.edu.cn) |
| [AdaptiveTraining](adaptivetraining/README.md) | This SIG is to develop an adaptive distributed training system that can train the neural networks in elastic clusters without affecting the convergence. | [@luomai-edin](https://gitee.com/luomai-edin)(luo.mai@outlook.com) |
| [Serving](serving/README.md) | This SIG is responsible for the development of MindSpore Serving module. | [@xu-yfei](https://gitee.com/xu-yfei) |
| [DevelopereXperience](dx/README.md) | This SIG is responsible for improving the experience of those who upstream contribute or develop applications for MindSpore community. | [@jiancao81](https://gitee.com/jiancao81)(cao-jian@cs.sjtu.edu.cn)  [@clement_li](https://gitee.com/clement_li) |
