# MindSpore ModelZoo Special Interest Group (SIG)

This is the working repo for the ModelZoo special interest group (SIG). This repo contains all the artifacts, materials, meeting notes and proposals regarding **state-of-the-art deep learning models** and **implementations** in MindSpore. Feedbacks and contributions are welcome.
1. **State-of-the-Art Deep Learning Models**: It covers typical deep learning models in image classification, object detection and segmentation, and natural language processing. These models are intended to be well-maintained, tested and kept up to date with the latest MindSpore API.
2. **Implementations**: It provides a collection of example implementations for the models powered by MindSpore high-level APIs. Before implementing the model, make sure that the operations used in the model architecture and data processing pipeline are supported in MindSpore. Users can choose the related model to perform end-to-end training and do evaluation on new dataset.

# SIG Leads

* Ying Jiangyong (Huawei)

# Logistics

* SIG leads will drive the meeting.
* Meeting announcement will be posted on our gitee channel: https://gitee.com/mindspore/community/tree/master/sigs/modelzoo
* Feedbacks and topic requests are welcome by all.

# Discussion

* Slack channel: https://app.slack.com/client/TUKCY4QDR/C010RPN6QNP?cdn_fallback=2
* Documents and artifacts: https://gitee.com/mindspore/community/tree/master/sigs/modelzoo

# Meeting notes

* [Saturday May 16, 2020](./meetings/001-20200516.md)
