# Working Groups

As described in the MindSpore [governance](../governance.md), Working
Groups (WGs) are temporary groups formed to address issues that cross SIG
boundaries. Working Groups have a have a clear goal measured through specific
deliverables and disband after the goal is achieved. Working groups do not own
artifacts or feature code in the long term; they create glue codes,
specifications, recommendations, and/or code implementations for submission to
the relevant SIGs for approval and acceptance.

## Proposing a new working group

New Working Groups are created when there is sufficient interest in a topic area
and someone volunteers to be the chair for the group and submits a proposal to
the steering committee. The chair facilitates the discussion and helps
synthesize proposals and decisions.

## Joining a working group

Working Groups have most of their discussions on mailing list. If you are
interested in participating, please join the discussion in the respective list.
Details about any upcoming meetings will also be shared in the mailing list.
Working Group artifacts can be found in the current repository.

## Current WGs

| WG name | Responsibilities | WG Leads |
| :------ | :--------------- | :------- |
| [Research](research/README.md) | <center>&mdash;</center> | <center>&mdash;</center> |
| [MM](mm/README.md) | Molecular Modeling WG aims to build a community collaboration for deep learning framework's application in molecular modeling and simulation. | [@helloyesterday](https://gitee.com/helloyesterday) [@jz_90](https://gitee.com/jz_90) |
| [Doc](doc/README.md) | Discussion for improving MindSpore documentation. |[@tanzhipeng](https://gitee.com/Rudy_Tan)|
| [AI4EARTH](ai4earth/README.md) | AI for Earth WG aims to build a community collaboration for deep learning framework's application in earth system modeling. | [@hxmhuang](https://gitee.com/hxmhuang) |
| [QUANTUM](quantum/README.md) | AI for Quantum WG aims to build a community collaboration for deep learning framework's application in quantum system modeling. | [@physicist01](https://gitee.com/physicist01) |
