﻿# MindSpore AI for Earth Working Group (WG)

<!-- TOC -->

- [MindSpore AI for Earth Working Group (WG)](#mindspore-ai-for-earth-working-group-wg)
    - [Summary](#summary)
    - [WG Leads](#wg-leads)
    - [Motivation](#motivation)
    - [Goals](#goals)
    - [Method](#method)
    - [How to Join](#how-to-join)

<!-- /TOC -->

## Summary

Earth system modeling simulation is an important way to study global change, has played a vital role in many fields, including national economy, military, agriculture and some other aspects. The ocean model and climate model are important components of earth system modeling which have an important impact on people's productive and lives. The Earth WG aims to develop a community collaboration for deep learning framework's application in ocean model and climate model.

## WG Leads

Xiaomeng Huang (Tsinghua University)

## Motivation

Most of the existing ocean and climate models are solved by numerical methods. Such a method has two fundamental limitations: (a) the process of code implementation, debugging and maintenance is complex. (b) the growing demand for high space-time resolution requires more computing resources, which can only be provided by supercomputers. MindSpore is a powerful deep learning framework which can provides user-friendly API, operator fusion and auto-paralleling capabilities, supporting CPU, Ascend and GPU backend. Based on the MindSpore, the process of solving ocean and climate models can be accelerated. At the same time, it can be combined with deep learning ways to improve the computational efficiency and prediction accuracy of these models simulation. However, unlike the mature deployment of deep learning in computer vision and natural language processing, its development in ocean and climate models simulations is still at an early stage.

## Goals

The goals of the AI for Earth WG are as follows:

- To design a user-friendly programming model and API for the implementation of ocean and climate model.

- To develop a high-performance system with highly efficient graph and operator fusion, large-scale auto-paralleling.

- To build a common earth system model AI framework.

## Method

​We expect the applicant can conduct AI for Earth research based on MindSpore, and hope to get your valuable suggestions to MindSpore in the process. We will do our best to improve the capabilities of the MindSpore framework and provide you with the most powerful technical support.

## How to Join

- Submit an issue/PR based on community discussion for consultation or claim on related topics.

- Submit your proposal to us by email hxm@tsinghua.edu.cn.
