# Topic6:  Confidential AI Computing

## Motivation:
* In the training and deployment process of AI services, several vital resources such as data, models, and computing resources may belong to different parties. A large amount of data will move across trust domains. The problems of data privacy protection and model confidentiality protection are prominent.
* Confidential computing is an important direction to protect the confidentiality of key data. At present, confidential computing based on trusted execution environment has performance advantages, but its trust model is limited; confidential computing based on cryptography has simple trust model, but there is still a gap between performance and practicality.
* A series of specialized optimizations may improve the performance of confidential computing in AI scenarios, including but not limited to: cryptography suitable for AI, specialized intermediate representation and compiling strategy, and hardware-based acceleration.

## Target:
Realize an Confidential AI Computing framework, or its key technologies,  with feasible, flexible and efficient performance in actual AI application scenarios.

## Method:
​We expect the applicant can conduct Confidential AI Computing research based on MindSpore, and hope to get your valuable suggestions to MindSpore in the process. We will do our best to improve the capabilities of the MindSpore framework and  provide you with the most powerful technical support.

## How To Join:
* Submit an issue/PR based on community discussion for consultation or claim on related topics
* Submit your proposal to us by email <wangze14@huawei.com>
